interface ProjectAnalysisData {
  stat_datetime: string // 日期时间字符串
  active: string // 活跃状态
  active_cost: string // 活跃成本
  active_rate: string // 活跃率
  click: string // 点击数
  cost: string // 成本
  cpc: string // 每次点击成本
  cpm: string // 千次展示成本
  ctr: string // 点击率
  pay_cost: string // 支付成本
  pay_count: string // 支付次数
  pay_rate: string // 支付率
  show_count: string // 展示次数
  conversion_num: string // 转换次数
  convert_cost: string // 每次转化成本
  convert_rate: string // 转化率
}

interface ProductAnalysisData {
  cost: string // 模拟生成的cost数据
  name: string // 固定值
  date: string // 生成类似 "2024-10-01" 格式的日期
}

type HomeAnalysisChartData = ProjectAnalysisData | ProductAnalysisData

interface LegendInfo {
  value: string
  color: string
  cnName: string
}

export type { HomeAnalysisChartData, LegendInfo }
